---
name: Wallet Summary
---

import { Playground, PropsTable } from 'docz'

import { WalletSummaryComponent } from './wallet-summary.js'
import { DoczWrapper } from '../theme.js'

# Wallet Summary

## Properties

<PropsTable of={WalletSummaryComponent} />

## Basic usage

<Playground>
  <DoczWrapper>
    {() => (
      <div style={{ width: '700px' }}>
        <WalletSummaryComponent
          total={5000}
          shielded={2500}
          transparent={2500}
          dollarValue={56}
          addresses={[
            't14oHp2v54vfmdgQ3v3SNuQga8JKHTNi2a1', 't14oHp2v54vfAShh121t5uQga8JKHTNi2a1',
          ]}
        />
      </div>
    )}
  </DoczWrapper>
</Playground>
